> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Memory Node - GET /v1/workspaces/:workspace_id/cubes/:cube_id/nodes/:node_id

> Return a single memory node via GET /v1/workspaces/:workspace_id/cubes/:cube_id/nodes/:node_id. Minimum role viewer.

Return the full information of a single memory node.

## Endpoint

```http theme={null}
GET /v1/workspaces/:workspace_id/cubes/:cube_id/nodes/:node_id
```

## Authentication

`Authorization: Bearer <jwt>` or `X-API-Key <sk_...>`. Minimum role: **viewer**.

## Path parameters

**workspace\_id** `string` *required*

Workspace id.

**cube\_id** `string` *required*

Cube id.

**node\_id** `string` *required*

Node id.

## Response

**id** `string`

Node id.

**cube\_id** `string`

Owning cube id.

**type** `string`

Node type.

**content** `string`

Node content.

**tier** `integer`

Tier (1–4).

**meta** `string`

JSON metadata.

**auto** `boolean`

Whether produced by automatic conversion.

**source\_type** `string`

Source type.

**source\_id** `string`

Source object id.

**created\_at** `string`

Creation time (RFC3339).

## Example

```bash cURL theme={null}
curl https://memo.ariacompute.com/v1/workspaces/ws_01a2b3c4d5e6/cubes/cube_01a2b3c4d5e6/nodes/node_01a2b3c4d5e6 \
  -H "Authorization: Bearer <jwt>"
```

```json 200 theme={null}
{
  "id": "node_01a2b3c4d5e6",
  "cube_id": "cube_01a2b3c4d5e6",
  "type": "text",
  "content": "User prefers Chinese replies.",
  "tier": 4,
  "meta": "{}",
  "auto": false,
  "source_type": "session",
  "source_id": "sess_01a2b3c4d5e6",
  "created_at": "2026-10-12T08:25:00Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.